astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Time and Dates (`astropy.time`) »
- TimePlotDate

# TimePlotDate

class `astropy.time.core.``TimePlotDate`(val1, val2, scale, precision, in_subfmt, out_subfmt, from_jd=False)

  Bases: `astropy.time.core.TimeFromEpoch`

  Matplotlib `plot_date` input: 1 + number of days from 0001-01-01 00:00:00 UTC

  This can be used directly in the matplotlib `plot_date` function:

      >>> import matplotlib.pyplot as plt
      >>> jyear = np.linspace(2000, 2001, 20)
      >>> t = Time(jyear, format='jyear', scale='utc')
      >>> plt.plot_date(t.plot_date, jyear)
      >>> plt.gcf().autofmt_xdate()  # orient date labels at a slant
      >>> plt.draw()

  Attributes Summary

  `epoch_format` | unicode(object=’‘) -> unicode object
  `epoch_scale` | unicode(object=’‘) -> unicode object
  `epoch_val` | float(x) -> floating point number
  `epoch_val2` |
  `name` | unicode(object=’‘) -> unicode object
  `unit` | float(x) -> floating point number

  Attributes Documentation

  `epoch_format` = u'jd'
  `epoch_scale` = u'tai'
  `epoch_val` = 1721424.5
  `epoch_val2` = None
  `name` = u'plot_date'
  `unit` = 1.0